package cn.stylefeng.workflow.event.modular.demotaskconsumer;

import cn.stylefeng.workflow.api.entity.task.RuTask;
import cn.stylefeng.workflow.api.pojo.InstanceContext;
import cn.stylefeng.workflow.event.api.TaskEventConsumer;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class DemoTaskConsumer implements TaskEventConsumer {
    @Override
    public void saveTaskEvent(List<RuTask> taskList, InstanceContext instanceContext) {
        System.out.println("saveTaskEvent");
    }

    @Override
    public void updateTaskStatusEvent(RuTask task, InstanceContext instanceContext) {
        System.out.println("updateTaskStatusEvent");
    }

    @Override
    public void updateTaskReadFlagEvent(RuTask task, InstanceContext instanceContext) {
        System.out.println("updateTaskReadFlagEvent");
    }

    @Override
    public void deleteTaskEvent(List<RuTask> taskList, InstanceContext instanceContext) {
        System.out.println("deleteTaskEvent");
    }
}
